# $Revision: 1.22 $, $Date: 2005/09/06 21:08:00 $
Summary:	GNUstep Foundation Extensions Library
Summary(pl):	Biblioteka rozszerze GNUstep Foundation
Name:		gnustep-extensions
Version:	0.8.6
Release:	7
License:	BSD-like
Group:		Libraries
Source0:	ftp://ftp.gnustep.org/pub/gnustep/libs/extensions-%{version}.tar.gz
# Source0-md5:	7cce1455ab9319c980c204d11c481874
Patch0:		%{name}-missing.patch
Patch1:		%{name}-gcc33.patch
Patch2:		%{name}-fs.patch
URL:		http://www.gnustep.org/
BuildRequires:	autoconf
BuildRequires:	gnustep-base-devel >= 1.9.0
Requires:	gnustep-base >= 1.9.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define         _prefix         /usr/%{_lib}/GNUstep

%define		libcombo	gnu-gnu-gnu
%define		gsos		linux-gnu
%ifarch %{ix86}
%define		gscpu		ix86
%else
# also s/alpha.*/alpha/, but we use only "alpha" arch for now
%define		gscpu		%(echo %{_target_cpu} | sed -e 's/amd64/x86_64/;s/ppc/powerpc/')
%endif

%description
This package contains some classes that extend the basic behavior of
Foundation classes by adding some features. The current extensions are
an extended exception handling mechanism, a garbage collector, some
classes that allow you to easily create methods that accept
printf-like arguments and two classes for portable archiving and
unarchiving Objective-C data.

%description -l pl
Ten pakiet zawiera troch klas rozszerzajcych podstawowe moliwoci
klas poprzez. Te rozszerzenia to rozszerzona obsuga wyjtkw, garbage
collector, klasy pozwalajce atwo tworzy metody akceptujce
argumenty w stylu printf i dwie klasy do przenonego pakowania i
rozpakowywania danych Objective-C.

%package devel
Summary:	Header files for GNUstep Foundation Extensions library
Summary(pl):	Pliki nagwkowe dla biblioteki rozszerze GNUstep Foundation
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gnustep-base-devel >= 1.7.3

%description devel
Header files for GNUstep Foundation Extensions library.

%description devel -l pl
Pliki nagwkowe dla biblioteki rozszerze GNUstep Foundation.

%prep
%setup -q -n extensions-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
. %{_prefix}/System/Library/Makefiles/GNUstep.sh
cp -f %{_prefix}/System/Library/Makefiles/config.* .
%{__autoconf}
# test for broken __builtin_apply hangs on amd64
%configure \
	ac_cv_broken_builtin_apply=no

%{__make} -j1 \
	messages=yes

%install
rm -rf $RPM_BUILD_ROOT
. %{_prefix}/System/Library/Makefiles/GNUstep.sh

%{__make} -j1 install \
	GNUSTEP_INSTALLATION_DIR=$RPM_BUILD_ROOT%{_prefix}/System

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog NEWS README
%attr(755,root,root) %{_prefix}/System/Library/Libraries/%{gscpu}/%{gsos}/%{libcombo}/lib*.so.*

%files devel
%defattr(644,root,root,755)
%{_prefix}/System/Library/Headers/%{libcombo}/gnustep/extensions
%{_prefix}/System/Library/Headers/%{libcombo}/gnustep/objc
%{_prefix}/System/Library/Libraries/%{gscpu}/%{gsos}/%{libcombo}/lib*.so
%{_prefix}/System/Library/Makefiles/extensions.make

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnustep-extensions.spec,v $
Revision 1.22  2005/09/06 21:08:00  glen
- force make -j1
- rel 7 (rebuild with gnustep 1.10) - STBR

Revision 1.21  2004/11/07 21:01:21  havner
- rel up for rebuild

Revision 1.20  2004/07/04 18:07:14  qboosh
- updated fs patch for gs 1.9.x, fixed build on amd64; release 5

Revision 1.19  2003/10/12 12:24:20  qboosh
- fixed fs patch: don't place extensions.make in Additional subdir - it
  was always included, causing gnustep-extensions deps everywhere
- release 4

Revision 1.18  2003/09/02 16:37:25  qboosh
- rebuild with new Headers directory layout, release 3

Revision 1.17  2003/07/20 14:31:41  qboosh
- added gcc33 patch
- added fs patch, updated for new GNUstep fs structure
- release 2

Revision 1.16  2003/05/26 16:25:04  malekith
- massive attack: adding Source-md5

Revision 1.15  2003/05/25 05:48:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/01 20:00:26  qboosh
- added missing file needed for GNU objc (missing patch)

Revision 1.13  2002/12/29 18:02:24  qboosh
- updated to 0.8.6, made athlon-ready

Revision 1.12  2002/06/01 18:20:00  ankry
- backed out bogus commit

Revision 1.10  2002/04/25 16:27:52  arturs
fixed a small typo

Revision 1.9  2002/02/23 02:17:47  kloczek
- adapterized.

Revision 1.8  2002/02/22 23:29:00  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:13:09  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/09/28 08:46:48  qboosh
- adapterized, pl translations; note: there is 0.8.6 on ftp

Revision 1.5  2001/05/02 16:29:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.4  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:22:52  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/20 13:37:50  kloczek
- spec adapterized and partialy rewrited.

* Sat Mar 13 1999 Christopher Seawood <cls@seawood.org>
- Version 0.8.5 released

* Tue Mar 02 1999 Christopher Seawood <cls@seawood.org>
- Updated from CVS

* Sat Feb 06 1999 Christopher Seawood <cls@seawood.org>
- Split into separate rpm from gnustep-core
